<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Interface org.apache.poi.hwpf.model.CharIndexTranslator (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.poi.hwpf.model.CharIndexTranslator (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
               title="interface in org.apache.poi.hwpf.model">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/class-use/CharIndexTranslator.html"
               target="_top">Frames</a></li>
        <li><a href="CharIndexTranslator.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Interface org.apache.poi.hwpf.model.CharIndexTranslator" class="title">Uses of Interface<br>org.apache.poi.hwpf.model.CharIndexTranslator
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                        title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.model">org.apache.poi.hwpf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hwpf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                                   title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a> in <a
                            href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> that implement <a
                                href="../../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                                title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/OldTextPieceTable.html"
                                    title="class in org.apache.poi.hwpf.model">OldTextPieceTable</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                    title="class in org.apache.poi.hwpf.model">TextPieceTable</a></span></code>
                                <div class="block">The piece table for matching up character positions to bits of
                                    text.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                                title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected byte[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">PAPFormattedDiskPage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/PAPFormattedDiskPage.html#toByteArray-java.io.ByteArrayOutputStream-org.apache.poi.hwpf.model.CharIndexTranslator-">toByteArray</a></span>(java.io.ByteArrayOutputStream&nbsp;dataStream,
                                <a href="../../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                                   title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a>&nbsp;translator)</code>
                                <div class="block">Creates a byte array representation of this data structure.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected byte[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">CHPFormattedDiskPage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/CHPFormattedDiskPage.html#toByteArray-org.apache.poi.hwpf.model.CharIndexTranslator-">toByteArray</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                                    title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a>&nbsp;translator)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">PAPBinTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/PAPBinTable.html#writeTo-java.io.ByteArrayOutputStream-java.io.ByteArrayOutputStream-org.apache.poi.hwpf.model.CharIndexTranslator-">writeTo</a></span>(java.io.ByteArrayOutputStream&nbsp;wordDocumentStream,
                                java.io.ByteArrayOutputStream&nbsp;tableStream,
                                <a href="../../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                                   title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a>&nbsp;translator)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">CHPBinTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/CHPBinTable.html#writeTo-java.io.ByteArrayOutputStream-java.io.ByteArrayOutputStream-int-org.apache.poi.hwpf.model.CharIndexTranslator-">writeTo</a></span>(java.io.ByteArrayOutputStream&nbsp;wordDocumentStream,
                                java.io.ByteArrayOutputStream&nbsp;tableStream,
                                int&nbsp;fcMin,
                                <a href="../../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                                   title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a>&nbsp;translator)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">CHPBinTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/CHPBinTable.html#writeTo-org.apache.poi.hwpf.model.io.HWPFFileSystem-int-org.apache.poi.hwpf.model.CharIndexTranslator-">writeTo</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/model/io/HWPFFileSystem.html"
                                    title="class in org.apache.poi.hwpf.model.io">HWPFFileSystem</a>&nbsp;sys,
                                int&nbsp;fcMin,
                                <a href="../../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                                   title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a>&nbsp;translator)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                                title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/CHPBinTable.html#CHPBinTable-byte:A-byte:A-int-int-org.apache.poi.hwpf.model.CharIndexTranslator-">CHPBinTable</a></span>(byte[]&nbsp;documentStream,
                                byte[]&nbsp;tableStream,
                                int&nbsp;offset,
                                int&nbsp;size,
                                <a href="../../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                                   title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a>&nbsp;translator)</code>
                                <div class="block">Constructor used to read a binTable in from a Word document.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/CHPFormattedDiskPage.html#CHPFormattedDiskPage-byte:A-int-org.apache.poi.hwpf.model.CharIndexTranslator-">CHPFormattedDiskPage</a></span>(byte[]&nbsp;documentStream,
                                int&nbsp;offset,
                                <a href="../../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                                   title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a>&nbsp;translator)</code>
                                <div class="block">This constructs a CHPFormattedDiskPage from a raw fkp (512 byte array
                                    read from a Word file).
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/PAPBinTable.html#PAPBinTable-byte:A-byte:A-byte:A-int-int-org.apache.poi.hwpf.model.CharIndexTranslator-">PAPBinTable</a></span>(byte[]&nbsp;documentStream,
                                byte[]&nbsp;tableStream,
                                byte[]&nbsp;dataStream,
                                int&nbsp;offset,
                                int&nbsp;size,
                                <a href="../../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                                   title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a>&nbsp;charIndexTranslator)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/PAPFormattedDiskPage.html#PAPFormattedDiskPage-byte:A-byte:A-int-org.apache.poi.hwpf.model.CharIndexTranslator-">PAPFormattedDiskPage</a></span>(byte[]&nbsp;documentStream,
                                byte[]&nbsp;dataStream,
                                int&nbsp;offset,
                                <a href="../../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                                   title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a>&nbsp;translator)</code>
                                <div class="block">Creates a PAPFormattedDiskPage from a 512 byte array</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
               title="interface in org.apache.poi.hwpf.model">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/class-use/CharIndexTranslator.html"
               target="_top">Frames</a></li>
        <li><a href="CharIndexTranslator.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
